# ToDoList
A web based app to add and cross items off a list, which outputs a page that can be set up as a browser source in OBS.

#### Setup
Create your venv, and activate it:

```bash
python3 -m venv env
source env/bin/activate
```

Upgrade pip, and install dependancies:

```bash
pip install --upgrade pip
pip install -e .
```

Deactivate your venv:

```bash
deactivate
```

#### Run ToDoList with:
```bash
env/bin/python -m gunicorn -b 0.0.0.0:5022 -w 1 'todolist:create_app()'
```

Of course, if you prefer to run your flask apps with something else, go for it.

#### Adding the list to your streaming software, as an overlay
<a href=https://git.deadtom.me/deadtom/ToDoList/src/master/screenshots/list.png><img src=https://git.deadtom.me/deadtom/ToDoList/raw/master/screenshots/list.png width=100></a>

Create a browser source, and point it to:

```
http://localhost:5022/list
```

Be sure to check the box for "Refresh browser when scene becomes active"
I've included "ListBackground.png" for use as an opaque background for your list in your streaming software, but of course use whatever you like.

#### Manage your to-do list
<a href=https://git.deadtom.me/deadtom/ToDoList/src/master/screenshots/managelist.png><img src=https://git.deadtom.me/deadtom/ToDoList/raw/master/screenshots/managelist.png width=100></a>

To add items to your list, or cross items off, go to:

```
http://localhost:5022
```
